# Tokenomics + Network Report

This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information

* Block range: 4194000 - 4294799
* Date Range: 1/26/2022 - 2/3/2022
* Council session #: 41

## 2.0 Tokenomics

### 2.1 Token generation breakdown

| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  2804502818 | 2925747213 | 4.32 |
| USD Pool |  68313.57 | 72185.76 | 5.67 |

| Role                | Value        |
|---------------------|--------------|
| Total Tokens Burned | 142343001 |
| Spending Proposals (Executed) | 34796253 |
| Bounties paid       | 25698675 |
| Validator Role      | 13741709 |
| Council | 39656253 |
| Curators | 10479612 |
| Storage Providers | 9287972 |
| Distribution | 0 |
| Operations | 21577659 |
| Marketing | 0 |
| Gamma | 0 |


### 2.2 Fiat Pool

| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool |  68313.57 | 72185.76 | 5.67 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 2462 | kpi-sumer-38 | 4203580 |
| 1641 | recurring-sumer-38 | 4203698 |
| 1631 | recurring-sumer-39 | 4254880 |
| 1579 | kpi-sumer-39 | 4254883 |


### 2.3 Mints

| Minted per Role             | Start Block           | End Block | Difference | % Change |
|-----------------------------|-----------------------|-----------|------------|----------|
| Council Total Minted | 1314147879.00 | 1353804132.00 | 39656253 | 3.02 |
| Curators Minted | 266999021.00 | 277478633.00 | 10479612 | 3.92 |
| Storage Providers Minted | 250939253.00 | 260227225.00 | 9287972 | 3.7 |
| Distribution Minted | 0.00 | 0.00 | 0 | 0 |
| Operations Minted | 328811672.00 | 350389331.00 | 21577659 | 6.56 |
| Marketing Minted | 0.00 | 0.00 | 0 | 0 |
| Gamma Minted | 0.00 | 0.00 | 0 | 0 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 24.39
* End Block Exchange Rate, USD/1M tJOY: 24.67
* Inflation, %: -1.18

Negative value indicates deflation

## 3.0 Council

* Council session #: 41
* Number of council members: 20
* Total number of proposals: 33
* Total number of Approved proposals: 24

### 3.1 Elections

| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 36 |
| Total Applicant Stake       | 549261399 |
| Total Votes                 | 49 |

## 4 Roles

### 4.1 Validator Information

* Block generation time (average): 6.03

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 60 / 75 | 58 / 75 | -3.33 |
| Validator Total Stake      | 652692414 | 632704667 | -3.06 |

### 4.2 Curators
* [openings for contentWorkingGroup](https://testnet.joystream.org/#/working-groups/opportunities/curators)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 9 | 9 | 0 |
| Total  Stake | 500000 | 500000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 0 | 0.0 | 11.6 |
| 16 | [@kira_skipper](https://pioneer.joystreamstats.live/#/members/kira_skipper) | active | 12 | 1.2 | 28.9 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 12 | 1.2 | 26.7 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 12 | 1.2 | 24.1 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 12 | 1.2 | 22.3 |
| 23 | [@oxygen](https://pioneer.joystreamstats.live/#/members/oxygen) | active | 23 | 2.3 | 12.6 |
| 24 | [@spat_sochi](https://pioneer.joystreamstats.live/#/members/spat_sochi) | active | 12 | 1.2 | 5.9 |
| 27 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 12 | 1.2 | 3.9 |
| 28 | [@jen4ph](https://pioneer.joystreamstats.live/#/members/jen4ph) | active | 12 | 1.2 | 3.9 |


### 4.3 Storage Providers
* [openings for storageWorkingGroup](https://testnet.joystream.org/#/working-groups/opportunities/storageProviders)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 11 | 11 | 0 |
| Total  Stake | 1100000 | 1100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 11 | 0.9 | 25.5 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 11 | 0.9 | 25.4 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 11 | 0.9 | 25.6 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 11 | 0.9 | 20.5 |
| 16 | [@plycho](https://pioneer.joystreamstats.live/#/members/plycho) | active | 11 | 0.9 | 21.2 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 11 | 0.9 | 20.4 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 11 | 0.9 | 18.4 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 11 | 0.9 | 15.2 |
| 22 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 24 | 2.1 | 32.9 |


### 4.4 Distribution
* [openings for distributionWorkingGroup](https://testnet.joystream.org/#/working-groups/opportunities/distribution)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 3 | 5 | 66.67 |
| Total  Stake | 0 | 2000000 | Infinity |



### 4.5 Operations
* [openings for operationsWorkingGroupAlpha](https://testnet.joystream.org/#/working-groups/opportunities/operationsGroupAlpha)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 30 | 30 | 0 |
| Total  Stake | 1850000 | 1850000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 40 | 3.5 | 69.2 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 139 | 2.7 | 19.3 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 56 | 3.5 | 57.2 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 6 | 0.3 | 14.3 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 3 | 0.3 | 15.3 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 1.5 | 24.6 |
| 22 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 3 | 0.3 | 5.6 |
| 24 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 0 | 0.0 | 1.6 |
| 26 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 0 | 0.0 | 0.0 |
| 29 | [@goldmember](https://pioneer.joystreamstats.live/#/members/goldmember) | active | 0 | 0.0 | 0.0 |
| 31 | [@ilich](https://pioneer.joystreamstats.live/#/members/ilich) | active | 3 | 0.3 | 2.4 |
| 32 | [@kate_fm](https://pioneer.joystreamstats.live/#/members/kate_fm) | active | 3 | 0.3 | 3.9 |
| 33 | [@ururu](https://pioneer.joystreamstats.live/#/members/ururu) | active | 3 | 0.3 | 8.4 |
| 34 | [@andybut](https://pioneer.joystreamstats.live/#/members/andybut) | active | 28 | 2.8 | 56.1 |
| 36 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 4 | 0.4 | 4.8 |
| 39 | [@whitebarbie](https://pioneer.joystreamstats.live/#/members/whitebarbie) | active | 14 | 1.4 | 13.9 |
| 44 | [@oxygen](https://pioneer.joystreamstats.live/#/members/oxygen) | active | 3 | 0.3 | 4.4 |
| 45 | [@spat_sochi](https://pioneer.joystreamstats.live/#/members/spat_sochi) | active | 3 | 0.3 | 5.8 |
| 46 | [@svasilenko](https://pioneer.joystreamstats.live/#/members/svasilenko) | active | 4 | 0.3 | 1.6 |
| 47 | [@catemoon](https://pioneer.joystreamstats.live/#/members/catemoon) | active | 3 | 0.3 | 1.6 |
| 48 | [@vlodkowjs](https://pioneer.joystreamstats.live/#/members/vlodkowjs) | active | 3 | 0.3 | 0.5 |
| 49 | [@darcksday](https://pioneer.joystreamstats.live/#/members/darcksday) | active | 3 | 0.3 | 0.5 |
| 50 | [@jen4ph](https://pioneer.joystreamstats.live/#/members/jen4ph) | active | 3 | 0.3 | 0.5 |
| 51 | [@igor171](https://pioneer.joystreamstats.live/#/members/igor171) | active | 3 | 0.3 | 0.5 |
| 52 | [@joyanna](https://pioneer.joystreamstats.live/#/members/joyanna) | active | 3 | 0.3 | 0.5 |
| 53 | [@pavlov](https://pioneer.joystreamstats.live/#/members/pavlov) | active | 3 | 0.3 | 0.5 |
| 54 | [@pizel](https://pioneer.joystreamstats.live/#/members/pizel) | active | 3 | 0.3 | 0.5 |
| 55 | [@ars44](https://pioneer.joystreamstats.live/#/members/ars44) | active | 3 | 0.3 | 0.5 |
| 56 | [@oskarte](https://pioneer.joystreamstats.live/#/members/oskarte) | active | 3 | 0.3 | 0.5 |
| 57 | [@arsonque](https://pioneer.joystreamstats.live/#/members/arsonque) | active | 3 | 0.3 | 0.5 |


### 4.6 Marketing
* [openings for operationsWorkingGroupBeta](https://testnet.joystream.org/#/working-groups/opportunities/operationsGroupBeta)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 0 | 0 | 0 |
| Total  Stake | 0 | 0 | 0 |



### 4.7 Gamma
* [openings for operationsWorkingGroupGamma](https://testnet.joystream.org/#/working-groups/opportunities/operationsGroupGamma)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 0 | 0 | 0 |
| Total  Stake | 0 | 0 | 0 |



## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 3348|  3356 | 0.24 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 11520 | 14571  |  26.48 |
| Size of content (MB)    |  210186.67 |  1312171.18 | 524.29 |
| Number of channels      |  891 | 918 | 3.03 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 57 | 57 | 0 |
| Number of threads    | 920 | 931 | 1.2 |
| Number of posts      | 10190 | 10421 | 2.27 |
