# Tokenomics + Network Report

This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information

* Block range: 4496400 - 4597199
* Date Range: 2/17/2022 - 2/24/2022
* Council session #: 44

## 2.0 Tokenomics

### 2.1 Token generation breakdown

| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  2883686402 | 2952396936 | 2.38 |
| USD Pool |  66582.26 | 65373.05 | -1.82 |

| Role                | Value        |
|---------------------|--------------|
| Total Tokens Burned | 64882216 |
| Spending Proposals (Executed) | 28975031 |
| Bounties paid       | 23632200 |
| Validator Role      | 3829610 |
| Council | 31891031 |
| Curators | 14684368 |
| Storage Providers | 11242014 |
| Distribution | 23448517 |
| Operations | 38638028 |
| Marketing | 9859782 |
| Gamma | 0 |


### 2.2 Fiat Pool

| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool |  66582.26 | 65373.05 | -1.82 |



### 2.3 Mints

| Minted per Role             | Start Block           | End Block | Difference | % Change |
|-----------------------------|-----------------------|-----------|------------|----------|
| Council Total Minted | 1427454510.00 | 1459345541.00 | 31891031 | 2.23 |
| Curators Minted | 300378571.00 | 315062939.00 | 14684368 | 4.89 |
| Storage Providers Minted | 277453701.00 | 288695715.00 | 11242014 | 4.05 |
| Distribution Minted | 46783730.00 | 70232247.00 | 23448517 | 50.12 |
| Operations Minted | 414733483.00 | 453371511.00 | 38638028 | 9.32 |
| Marketing Minted | 2659884.00 | 12519666.00 | 9859782 | 370.68 |
| Gamma Minted | 0.00 | 0.00 | 0 | 0 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 23.14
* End Block Exchange Rate, USD/1M tJOY: 22.29
* Inflation, %: 3.71

Negative value indicates deflation

## 3.0 Council

* Council session #: 44
* Number of council members: 12
* Total number of proposals: 22
* Total number of Approved proposals: 23

### 3.1 Elections

| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 20 |
| Total Applicant Stake       | 286319111 |
| Total Votes                 | 33 |

## 4 Roles

### 4.1 Validator Information

* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 53 / 75 | 53 / 75 | 0 |
| Validator Total Stake      | 468747463 | 499332890 | 6.52 |

### 4.2 Curators
* [openings for contentWorkingGroup](https://testnet.joystream.org/#/working-groups/opportunities/curators)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 8 | 8 | 0 |
| Total  Stake | 500000 | 500000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 0 | 0.0 | 11.8 |
| 16 | [@kira_skipper](https://pioneer.joystreamstats.live/#/members/kira_skipper) | active | 13 | 2.0 | 33.6 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 13 | 1.2 | 30.2 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 13 | 1.2 | 25.8 |
| 23 | [@oxygen](https://pioneer.joystreamstats.live/#/members/oxygen) | active | 65 | 6.6 | 25.7 |
| 24 | [@spat_sochi](https://pioneer.joystreamstats.live/#/members/spat_sochi) | active | 13 | 1.2 | 9.4 |
| 27 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 13 | 1.2 | 7.4 |
| 28 | [@jen4ph](https://pioneer.joystreamstats.live/#/members/jen4ph) | active | 13 | 1.2 | 7.4 |


### 4.3 Storage Providers
* [openings for storageWorkingGroup](https://testnet.joystream.org/#/working-groups/opportunities/storageProviders)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 11 | 11 | 0 |
| Total  Stake | 1100000 | 1100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 13 | 1.3 | 28.6 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 3 | 0.3 | 27.2 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 13 | 0.4 | 27.6 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 13 | 1.3 | 23.6 |
| 16 | [@plycho](https://pioneer.joystreamstats.live/#/members/plycho) | active | 13 | 1.3 | 24.2 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 13 | 1.3 | 23.4 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 3 | 0.3 | 20.1 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 13 | 0.6 | 17.5 |
| 22 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 43 | 4.4 | 41.5 |


### 4.4 Distribution
* [openings for distributionWorkingGroup](https://testnet.joystream.org/#/working-groups/opportunities/distribution)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 13 | 14 | 7.69 |
| Total  Stake | 10000000 | 12000000 | 20 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 23 | 2.3 | 7.4 |
| 3 | [@razumv](https://pioneer.joystreamstats.live/#/members/razumv) | active | 17 | 1.6 | 6.7 |
| 4 | [@art_khabibullin](https://pioneer.joystreamstats.live/#/members/art_khabibullin) | active | 3 | 0.2 | 4.2 |
| 5 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 80 | 7.8 | 20.2 |
| 6 | [@ilich](https://pioneer.joystreamstats.live/#/members/ilich) | active | 5 | 0.5 | 4.4 |
| 7 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 5 | 0.5 | 5.2 |
| 8 | [@oxygen](https://pioneer.joystreamstats.live/#/members/oxygen) | active | 53 | 1.7 | 5.6 |
| 9 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 61 | 3.5 | 7.4 |
| 10 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 21 | 2.1 | 5.7 |
| 11 | [@spat_sochi](https://pioneer.joystreamstats.live/#/members/spat_sochi) | active | 2 | 0.2 | 0.2 |
| 12 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 53 | 1.6 | 1.6 |
| 13 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 3 | 0.3 | 0.3 |
| 14 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 0 | 0.1 | 0.1 |
| 15 | [@alexznet](https://pioneer.joystreamstats.live/#/members/alexznet) | active | 14 | 1.2 | 1.2 |


### 4.5 Operations
* [openings for operationsWorkingGroupAlpha](https://testnet.joystream.org/#/working-groups/opportunities/operationsGroupAlpha)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 24 | 23 | -4.17 |
| Total  Stake | 1850000 | 1850000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 40 | 3.9 | 81.1 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 69 | 5.4 | 42.4 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 14 | 1.9 | 70.3 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 69 | 3.6 | 19.1 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 69 | 4.5 | 21.8 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 1.4 | 28.9 |
| 22 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 28 | 1.0 | 7.1 |
| 24 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 0 | 0.0 | 1.6 |
| 31 | [@ilich](https://pioneer.joystreamstats.live/#/members/ilich) | active | 3 | 0.3 | 3.2 |
| 32 | [@kate_fm](https://pioneer.joystreamstats.live/#/members/kate_fm) | active | 3 | 0.3 | 4.7 |
| 33 | [@ururu](https://pioneer.joystreamstats.live/#/members/ururu) | active | 3 | 0.3 | 9.2 |
| 34 | [@andybut](https://pioneer.joystreamstats.live/#/members/andybut) | active | 33 | 2.8 | 64.5 |
| 36 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 4 | 0.4 | 6.1 |
| 39 | [@whitebarbie](https://pioneer.joystreamstats.live/#/members/whitebarbie) | active | 14 | 1.4 | 18.0 |
| 44 | [@oxygen](https://pioneer.joystreamstats.live/#/members/oxygen) | active | 3 | 0.3 | 5.2 |
| 45 | [@spat_sochi](https://pioneer.joystreamstats.live/#/members/spat_sochi) | active | 3 | 0.3 | 6.7 |
| 48 | [@vlodkowjs](https://pioneer.joystreamstats.live/#/members/vlodkowjs) | active | 28 | 2.6 | 4.3 |
| 49 | [@darcksday](https://pioneer.joystreamstats.live/#/members/darcksday) | active | 28 | 2.6 | 4.3 |
| 50 | [@jen4ph](https://pioneer.joystreamstats.live/#/members/jen4ph) | active | 3 | 0.3 | 1.3 |
| 51 | [@igor171](https://pioneer.joystreamstats.live/#/members/igor171) | active | 3 | 0.3 | 1.3 |
| 55 | [@ars44](https://pioneer.joystreamstats.live/#/members/ars44) | active | 69 | 4.5 | 6.3 |
| 56 | [@oskarte](https://pioneer.joystreamstats.live/#/members/oskarte) | active | 3 | 0.3 | 1.3 |
| 57 | [@arsonque](https://pioneer.joystreamstats.live/#/members/arsonque) | active | 3 | 0.3 | 1.3 |


### 4.6 Marketing
* [openings for operationsWorkingGroupBeta](https://testnet.joystream.org/#/working-groups/opportunities/operationsGroupBeta)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 7 | 7 | 0 |
| Total  Stake | 500000 | 500000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 87 | 8.6 | 10.9 |
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 4 | 0.4 | 0.5 |
| 2 | [@marat_mu](https://pioneer.joystreamstats.live/#/members/marat_mu) | active | 4 | 0.4 | 0.5 |
| 3 | [@kate_fm](https://pioneer.joystreamstats.live/#/members/kate_fm) | active | 4 | 0.4 | 0.5 |
| 4 | [@adovrn](https://pioneer.joystreamstats.live/#/members/adovrn) | active | 0 | 0.0 | 0.0 |
| 5 | [@kriptos](https://pioneer.joystreamstats.live/#/members/kriptos) | active | 0 | 0.0 | 0.0 |
| 6 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 0 | 0.0 | 0.0 |


### 4.7 Gamma
* [openings for operationsWorkingGroupGamma](https://testnet.joystream.org/#/working-groups/opportunities/operationsGroupGamma)

| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of  Workers | 1 | 1 | 0 |
| Total  Stake | 500000 | 1000000 | 100 |



## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 3383|  3394 | 0.33 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 15082 | 15398  |  2.1 |
| Size of content (MB)    |  3539443.44 |  3679896.7 | 3.97 |
| Number of channels      |  951 | 964 | 1.37 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 57 | 57 | 0 |
| Number of threads    | 951 | 960 | 0.95 |
| Number of posts      | 11019 | 11263 | 2.21 |
